<?php
/******************************************************
 
JotForm to MySQL Database Through Webhook
Sample Script By Elton Cris - JotForm Tech Support
Tested on form https://form.jotform.com/62893435003959
You can submit this form and check results on http://eltoncris.xyz/view.php
 
******************************************************/
 
//Replace with your DB Details
$servername = "localhost";
$username = "panamtrauma2019";
$password = "Abc6724300";
$dbname = "conta20_trauma2019";
$dbtable = "ttrabajo";

 
//Create connection
$mysqli = new mysqli($servername, $username, $password, $dbname);
 
//Check connection
if ($mysqli->connect_error) {
    die("Connection failed: " . $mysqli->connect_error);
}
 
//Get field values from the form
//Get unique submissionID - nothing to change here
$sid = $mysqli->real_escape_string($_REQUEST['submissionID']);


//Get form field values and decode - nothing to change here
$fieldvalues = $_REQUEST['rawRequest'];
$obj = json_decode($fieldvalues, true);


$codigoTipo = $mysqli->real_escape_string($obj['q6_tiposDe']);
$codigoCat = $mysqli->real_escape_string($obj['q89_codigoTipo89']);
$codigo = $mysqli->real_escape_string($obj['q101_codigoCompleto']);
$codigoIdiomaarea = $mysqli->real_escape_string($obj['q102_codigoIdiomaarea']);
$email = $mysqli->real_escape_string($obj['q100_correoElectronico']);
$titulo = $mysqli->real_escape_string($obj['q3_titulo']);
$introduccion = $mysqli->real_escape_string($obj['q33_introduccion']);
$metodos = $mysqli->real_escape_string($obj['q34_metodos']);
$resultados = $mysqli->real_escape_string($obj['q35_resultados']);
$conclusiones = $mysqli->real_escape_string($obj['q36_conclusiones']);
$pais= $mysqli->real_escape_string($obj['q14_pais']);
$ciudad = $mysqli->real_escape_string($obj['q15_estadociudad']);
$Institucion = $mysqli->real_escape_string($obj['q37_institucion']);

 
$result = $mysqli->query("SELECT * FROM $dbtable WHERE submission_id = '$sid'");
 
//If submission ID exist, update record
if ($result->num_rows > 0) {
    $result = $mysqli->query("UPDATE $dbtable SET titulo = '$titulo',codigo = '$codigo',area_tematica='$codigoIdiomaarea', cod_tipo_presentacion_propuesto='$codigoTipo',  cod_tipo_competicion_propuesto='$codigoCat', introduccion = '$introduccion', email = '$email', materiales = '$metodos', resultados= '$resultados',conclusiones='$conclusiones',pais='$pais',ciudad='$ciudad',organizacion='$Institucion' WHERE submission_id = '$sid'");
    
    echo "Resumen Actualizado!";
}
//If new submission, insert record
else{
    $result = $mysqli->query("INSERT IGNORE INTO $dbtable (submission_id, email, codigo, area_tematica,cod_tipo_presentacion_propuesto,cod_tipo_competicion_propuesto,titulo, introduccion, materiales, resultados, conclusiones,organizacion,pais,ciudad) VALUES ('$sid','$email','$codigo','$codigoIdiomaarea','$codigoTipo', '$codigoCat','$titulo','$introduccion','$metodos','$resultados','$conclusiones','$Institucion','$pais','$ciudad')");
      
    
    echo "Resumen agregado";
}
?>